<?php

use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'milestone', 'as' => 'milestone.', 'namespace' => 'Milestones'], function () {
    Route::post('/create', 'CreateMilestoneController@create')->name('create');
    Route::put('/update/{id}', 'UpdateMilestoneController@update')->name('update');
    Route::get('/list', 'ListMilestonesController@list')->name('list');
    Route::get('/user/{id}/progress/list', 'ListMilestoneProgressController@list')->name('progress.list');
    Route::delete('/delete/{id}', 'DeleteMilestoneController@delete')->name('delete');
});
